import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var HomeLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-homeLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M7.53 2.05a.812.812 0 011.001.003l4.793 3.767c.15.119.239.3.239.492v6.813c0 .587-.476 1.063-1.063 1.063h-9a1.063 1.063 0 01-1.063-1.063V6.312c0-.193.09-.375.242-.494zm.498 1.039L3.562 6.557v6.505h2.204V7.984c0-.307.246-.557.553-.562h3.369c.307 0 .557.247.562.553v5.087h2.188V6.556l-4.41-3.466zm1.097 5.458H6.891v4.515h2.233l.001-4.515z",
    fill: "currentColor",
    fillRule: "evenodd"
  })));
});
HomeLine.displayName = "HomeLine";
export default HomeLine;